Bug 867334 (ScrollZ) - Review Request: ScrollZ - ScrollZ IRC client
Summary: Review Request: ScrollZ - ScrollZ IRC client
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: ScrollZ
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Elad Alfassa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-17 10:40 UTC by Dan Mashal
Modified: 2012-12-01 00:57 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-30 09:04:21 UTC
elad: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Dan Mashal 2012-10-17 10:40:28 UTC
Spec URL: http://vicodan.fedorapeople.org/ScrollZ.spec
SRPM URL: http://vicodan.fedorapeople.org/ScrollZ-2.2.2-1.fc17.src.rpm
Description: ScrollZ IRC client

Comment 1 Elad Alfassa 2012-10-17 11:16:37 UTC
Reviewing this now.

Comment 2 Elad Alfassa 2012-10-17 11:37:53 UTC
Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[?]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[+]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "BSD (3 clause)", "Unknown or generated", "*No copyright* Public domain".
     3 files have unknown license. Detailed output of licensecheck in
     /home/elad/867334-ScrollZ/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[-]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


=== Notes ===
Must:
1) Include the COPYRIGHT file in the pacakge
Should:
1) use %{?_smp_mflags}

Apart from that, all good.

Comment 4 Elad Alfassa 2012-10-17 11:52:25 UTC
Everything seems to be in order.

Package is APPROVED.



-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Comment 5 Dan Mashal 2012-10-17 11:55:53 UTC
New Package SCM Request
=======================
Package Name: ScrollZ
Short Description: ScrollZ IRC client
Owners: vicodan
Branches: f16 f17 f18 el5 el6

Comment 6 Gwyn Ciesla 2012-10-17 12:16:42 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2012-10-17 18:40:08 UTC
ScrollZ-2.2.2-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ScrollZ-2.2.2-2.fc18

Comment 8 Fedora Update System 2012-10-17 18:40:21 UTC
ScrollZ-2.2.2-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ScrollZ-2.2.2-2.fc16

Comment 9 Fedora Update System 2012-10-17 18:40:31 UTC
ScrollZ-2.2.2-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ScrollZ-2.2.2-2.fc17

Comment 10 Fedora Update System 2012-10-17 18:40:42 UTC
ScrollZ-2.2.2-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/ScrollZ-2.2.2-2.el6

Comment 11 Fedora Update System 2012-10-18 03:34:20 UTC
Package ScrollZ-2.2.2-2.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ScrollZ-2.2.2-2.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16372/ScrollZ-2.2.2-2.fc18
then log in and leave karma (feedback).

Comment 12 Fedora Update System 2012-11-15 09:43:42 UTC
ScrollZ-2.2.2-3.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/ScrollZ-2.2.2-3.el5

Comment 13 Fedora Update System 2012-12-01 00:57:46 UTC
ScrollZ-2.2.2-3.el5 has been pushed to the Fedora EPEL 5 stable repository.


Note You need to log in before you can comment on or make changes to this bug.